Page MenuHomePhabricator

Render edit comments in Jade
Closed, ResolvedPublic

Description

Specifically, we should have i18n for rendering the structured part of the comments.

We should make "setpreference" and any "delete" action bold and red or something like that.

This needs design work. How "should" each action render?

  • /* jade-createandendorseproposal */ <facet> is <labeldata>: "<notes>"
    • rendered like: Proposal created: Edit quality is Damaging/Good-faith: "Mistyped a number"
  • /* jade-updateproposal */ <facet> is <labeldata>: "<notes>"
    • rendered like: Proposal updated: Edit quality is Damaging/Good-faith: "Mistyped a number"
  • /* jade-deleteproposal|2 */ <facet> is <labeldata>: <comment>
    • rendered like: '''Proposal deleted''': Edit quality is Damaging/Good-faith (2 endorsements): Removing vandalism
  • /* jade-endorseproposal */ <facet> is <labeldata>: "<endorsementcomment>"
    • rendered like: Endorsed proposal: Edit quality is Damaging/Good-faith: "This seems right"
  • /* jade-updateendorsement */ <facet> from <labeldata> to <labeldata>: "<endorsementcomment>"
    • rendered like: Endorsement updated: Edit quality is Damaging/Good-faith: "This is right"
  • /* ‎jade-moveendorsement */ <facet> from <labeldata> to <labeldata>: <comment>
    • rendered like: Endorsement moved: Edit quality from Productive/Good-faith to Damaging/Good-faith: This is more likely.
  • /* jade-deleteendorsement */ <facet> is <labeldata> by (gid <gid>|id <id>|ip <ip>): <comment>
    • rendered like: '''Endorsement deleted''': Edit quality is Productive/Good-faith by [[Special:Contributions/123.123.123.123|123.123.123.123]]: Removing vandalism
    • rendered like: '''Endorsement deleted''': Edit quality is Productive/Good-faith by [[User:EpochFail|EpochFail]]: Removing accidental endorsement
  • /‎* ‎jade-setpreference */ <facet> is <labeldata>: <comment>
    • rendered like '''Preference set''': Edit quality is Damaging/Good-faith: See the talk page.

Event Timeline

Halfak created this task.Mar 11 2020, 8:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2020, 8:43 PM
Chtnnh added a subscriber: Chtnnh.Mar 11 2020, 8:52 PM
Halfak updated the task description. (Show Details)Mar 17 2020, 7:56 PM

Here's some design work on what I'd like to see in the comments.

Halfak updated the task description. (Show Details)Mar 20 2020, 1:58 PM

I've updated the task description to give some more exact structure for the edit comments.

Halfak updated the task description. (Show Details)Mar 20 2020, 1:59 PM
Halfak triaged this task as High priority.Mar 24 2020, 5:03 PM
Halfak moved this task from Untriaged to Ready to go on the Scoring-platform-team board.

Minimally, let's color the important prefixes Black/Bold:

  • Proposal deleted (jade-deleteproposal|2)
  • Endorsement deleted (jade-deleteendorsement)

Change 592912 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Localized Jade history page comment prefixes

https://gerrit.wikimedia.org/r/592912

Halfak updated the task description. (Show Details)May 6 2020, 1:16 PM

Change 594897 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Localized Jade history page comment facet and labeldata parts

https://gerrit.wikimedia.org/r/594897

Change 594907 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Made comment prefixes bold

https://gerrit.wikimedia.org/r/594907

Change 594918 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Localized number of endorsements in edit comments

https://gerrit.wikimedia.org/r/594918

Change 594897 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Localized Jade history page comment facet and labeldata parts

https://gerrit.wikimedia.org/r/594897

Change 594907 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Made comment prefixes bold

https://gerrit.wikimedia.org/r/594907

Change 594918 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Localized number of endorsements in edit comments

https://gerrit.wikimedia.org/r/594918